# IRremoteESP8266: src/ir_Airwell.h File Reference

ir_Airwell.h File Reference

Airwell "Manchester code" based protocol. Some other Airwell products use the COOLIX protocol. More...

Go to the source code of this file.

## Classes

union | AirwellProtocol
| Native representation of a Airwell A/C message. More...
class | IRAirwellAc
| Class for handling detailed Airwell A/C messages. More...

## Variables

const uint64_t | kAirwellKnownGoodState = 0x140500002
const uint8_t | kAirwellMinTemp = 16
const uint8_t | kAirwellMaxTemp = 30
const uint8_t | kAirwellFanLow = 0
const uint8_t | kAirwellFanMedium = 1
const uint8_t | kAirwellFanHigh = 2
const uint8_t | kAirwellFanAuto = 3
const uint8_t | kAirwellCool = 1
const uint8_t | kAirwellHeat = 2
const uint8_t | kAirwellAuto = 3
const uint8_t | kAirwellDry = 4
const uint8_t | kAirwellFan = 5

## Detailed Description

Airwell "Manchester code" based protocol. Some other Airwell products use the COOLIX protocol.

## Variable Documentation

## kAirwellAuto

const uint8_t kAirwellAuto = 3

## kAirwellCool

const uint8_t kAirwellCool = 1

## kAirwellDry

const uint8_t kAirwellDry = 4

## kAirwellFan

const uint8_t kAirwellFan = 5

## kAirwellFanAuto

const uint8_t kAirwellFanAuto = 3

## kAirwellFanHigh

const uint8_t kAirwellFanHigh = 2

## kAirwellFanLow

const uint8_t kAirwellFanLow = 0

## kAirwellFanMedium

const uint8_t kAirwellFanMedium = 1

## kAirwellHeat

const uint8_t kAirwellHeat = 2

## kAirwellKnownGoodState

const uint64_t kAirwellKnownGoodState = 0x140500002

## kAirwellMaxTemp

const uint8_t kAirwellMaxTemp = 30

## kAirwellMinTemp

const uint8_t kAirwellMinTemp = 16